- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Ipopt::SumMatrixSpace Class Reference

Class for matrix space for SumMatrix. More...

`#include <IpSumMatrix.hpp>`

Inheritance diagram for Ipopt::SumMatrixSpace:

[legend]
Collaboration diagram for Ipopt::SumMatrixSpace:

[legend]
List of all members.

## Public Member Functions
Index | NTerms () const
| Accessor functions to get the number of terms in the sum.
void | SetTermSpace (Index term_idx, const MatrixSpace &mat_space)
| Set the appropriate matrix space for each term.
SmartPtr< const MatrixSpace > | GetTermSpace (Index term_idx) const
| Get the matrix space for a particular term.
SumMatrix * | MakeNewSumMatrix () const
| Method for creating a new matrix of this specific type.
virtual Matrix * | MakeNew () const
| Overloaded MakeNew method for the MatrixSpace base class.
Constructors / Destructors
| SumMatrixSpace (Index nrows, Index ncols, Index nterms)
| Constructor, given the number of row and columns, as well as the number of terms in the sum.
virtual | ~SumMatrixSpace ()
| Destructor.
## Private Member Functions
Default Compiler Generated Methods
(Hidden to avoid implicit creation/calling). These methods are not implemented and we do not want the compiler to implement them for us, so we declare them private and do not define them. This ensures that they will not be implicitly created/called.
| SumMatrixSpace ()
| Default constructor.
| SumMatrixSpace (const SumMatrixSpace &)
| Copy Constructor.
SumMatrixSpace & | operator= (const SumMatrixSpace &)
| Overloaded Equals Operator.
## Private Attributes
const Index | nterms_
std::vector< SmartPtr< const MatrixSpace > > | term_spaces_

## Detailed Description

Class for matrix space for SumMatrix.

Definition at line 99 of file IpSumMatrix.hpp.

## Constructor & Destructor Documentation

Ipopt::SumMatrixSpace::SumMatrixSpace | ( | Index | nrows,
|  | Index | ncols,
|  | Index | nterms |
| ) |  |  | `[inline]`

Constructor, given the number of row and columns, as well as the number of terms in the sum.

Definition at line 107 of file IpSumMatrix.hpp.

virtual Ipopt::SumMatrixSpace::~SumMatrixSpace | ( |  | ) | `[inline, virtual]`

Destructor.

Definition at line 114 of file IpSumMatrix.hpp.

Ipopt::SumMatrixSpace::SumMatrixSpace | ( |  | ) | `[private]`

Default constructor.

Ipopt::SumMatrixSpace::SumMatrixSpace | ( | const SumMatrixSpace & |  | ) | `[private]`

Copy Constructor.

## Member Function Documentation

Index Ipopt::SumMatrixSpace::NTerms | ( |  | ) | const`[inline]`

Accessor functions to get the number of terms in the sum.

Definition at line 119 of file IpSumMatrix.hpp.

References nterms_.

void Ipopt::SumMatrixSpace::SetTermSpace | ( | Index | term_idx,
|  | const MatrixSpace & | mat_space |
| ) |  |  |

Set the appropriate matrix space for each term.

This must be called for each term or a runtime error will occur

SmartPtr<const MatrixSpace> Ipopt::SumMatrixSpace::GetTermSpace | ( | Index | term_idx | ) | const

Get the matrix space for a particular term.

SumMatrix* Ipopt::SumMatrixSpace::MakeNewSumMatrix | ( |  | ) | const

Method for creating a new matrix of this specific type.

virtual Matrix* Ipopt::SumMatrixSpace::MakeNew | ( |  | ) | const`[virtual]`

Overloaded MakeNew method for the MatrixSpace base class.

Implements Ipopt::MatrixSpace.

SumMatrixSpace& Ipopt::SumMatrixSpace::operator= | ( | const SumMatrixSpace & |  | ) | `[private]`

Overloaded Equals Operator.

## Member Data Documentation

const Index Ipopt::SumMatrixSpace::nterms_`[private]`

Definition at line 157 of file IpSumMatrix.hpp.

Referenced by NTerms().

std::vector< SmartPtr<const MatrixSpace> > Ipopt::SumMatrixSpace::term_spaces_`[private]`

Definition at line 159 of file IpSumMatrix.hpp.

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Ipopt-3.2.1/Ipopt/src/LinAlg/IpSumMatrix.hpp